# $Revision: 1.28 $, $Date: 2001/05/19 05:12:49 $
Summary:	BSD database library for C
Summary(pl):	Biblioteka C do obsugo baz Berkeley DB
Name:		db3
Version:	3.1.17
Release:	10
License:	GPL
Group:		Libraries
Group(de):	Libraries
Group(fr):	Librairies
Group(pl):	Biblioteki
Source0:	http://www.sleepycat.com/update/%{version}/db-%{version}.tar.gz
Patch0:		%{name}-static.patch
Patch1:		%{name}-linux.patch
Patch2:		%{name}-jbj.patch
BuildRequires:	db1-static
BuildRequires:	glibc-static
BuildRequires:	tcl-devel >= 8.3.2
URL:		http://www.sleepycat.com/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB is used by many applications,
including Python and Perl, so this should be installed on all systems.

%package utils
Summary:	Command line tools for managing Berkeley DB databases.
Group:		Applications/Databases
Group(pl):	Aplikacje/Bazy danych
Requires:	%{name} = %{version}

%description utils
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching and database
recovery. DB supports C, C++, Java and Perl APIs.

This package contains command line tools for managing Berkeley DB
databases.

%package tcl
Summary:	Berkeley database library for TCL
Group:		Development/Languages/Tcl
Group(de):	Entwicklung/Sprachen/Tcl
Group(pl):	Programowanie/Jzyki/Tcl
Requires:	%{name} = %{version}
Requires:	tcl

%description tcl
Berkeley database library for TCL.

%package devel
Summary:	Development libraries and header files for Berkeley database library
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching and database
recovery. DB supports C, C++, Java and Perl APIs.

This package contains the header files, libraries, and documentation
for building programs which use Berkeley DB.

%package static
Summary:	Static libraries for Berkeley database library
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name}-devel = %{version}

%description static
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching and database
recovery. DB supports C, C++, Java and Perl APIs.

This package contains the static libraries for building programs which
use Berkeley DB.

%prep
%setup -q -n db-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -a build_unix build_unix.static

cd build_unix.static

CFLAGS="%{rpmcflags} -fno-rtti -fno-implicit-templates" \
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-implicit-templates" \
../dist/configure \
	--prefix=%{_prefix} \
	--enable-compat185 \
	--enable-dump185 \
	--disable-shared \
	--enable-static \
	--enable-rpc \
	--enable-cxx

%{__make} static db_dump185

cd ../build_unix

CFLAGS="%{rpmcflags} -fno-rtti -fno-implicit-templates" \
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-implicit-templates" \
../dist/configure \
	--prefix=%{_prefix} \
	--enable-compat185 \
	--enable-shared \
	--disable-static \
	--enable-rpc \
	--enable-cxx \
	--enable-tcl

%{__make} TCFLAGS='-I$(builddir) -I%{_includedir}'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir},%{_bindir},/lib}

cd build_unix.static

%{__make} prefix=$RPM_BUILD_ROOT%{_prefix} \
	install_static \
	install_static_cxx

install db_dump185 $RPM_BUILD_ROOT%{_bindir}

cd ../build_unix

%{__make} \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	install_include \
	install_dynamic \
	install_dynamic_cxx \
	install_tcl \
	install_utilities

mv -f $RPM_BUILD_ROOT%{_libdir}/libdb-*.so $RPM_BUILD_ROOT/lib
ln -sf ../../lib/libdb-3.1.so $RPM_BUILD_ROOT%{_libdir}/libdb.so
ln -sf ../../lib/libdb-3.1.so $RPM_BUILD_ROOT%{_libdir}/libdb3.so
ln -sf ../../lib/libdb-3.1.so $RPM_BUILD_ROOT%{_libdir}/libdb-3.1.so
ln -sf libdb-3.1.a $RPM_BUILD_ROOT%{_libdir}/libdb3.a
ln -sf libdb-3.1.a $RPM_BUILD_ROOT%{_libdir}/libdb.a
ln -sf libdb3.so $RPM_BUILD_ROOT%{_libdir}/libndbm.so
ln -sf libdb3.a $RPM_BUILD_ROOT%{_libdir}/libndbm.a


OLDPWD=$(pwd); cd $RPM_BUILD_ROOT%{_libdir}/
for i in libdb*.la; do mv $i $i.old; done 
sed -e "s/old_library=''/old_library='libdb-3.1.a'/" libdb-3.1.la.old > libdb-3.1.la
sed -e "s/old_library=''/old_library='libdb_cxx.a'/" libdb_cxx-3.1.la.old > libdb_cxx-3.1.la
rm -f libdb*.la.old
cd $OLDPWD

for i in $RPM_BUILD_ROOT%{_bindir}/db_* ; do
	mv -f $i `echo $i | sed -e 's,/db_,/db3_,'`
done

cd ../
rm -rf examples_java
cp -a java/src/com/sleepycat/examples examples_java

gzip -9nf LICENSE README

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   tcl -p /sbin/ldconfig
%postun tcl -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.gz README.gz
%attr(755,root,root) /lib/libdb-*.so

%files utils
%defattr(644,root,root,755)
%doc docs/utility/*
%attr(755,root,root) %{_bindir}/berkeley_db_svc
%attr(755,root,root) %{_bindir}/db*_archive
%attr(755,root,root) %{_bindir}/db*_checkpoint
%attr(755,root,root) %{_bindir}/db*_deadlock
%attr(755,root,root) %{_bindir}/db*_dump
%attr(755,root,root) %{_bindir}/db*_dump185
%attr(755,root,root) %{_bindir}/db*_load
%attr(755,root,root) %{_bindir}/db*_printlog
%attr(755,root,root) %{_bindir}/db*_recover
%attr(755,root,root) %{_bindir}/db*_stat
%attr(755,root,root) %{_bindir}/db*_upgrade
%attr(755,root,root) %{_bindir}/db*_verify

%files tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdb_tcl-*.so

%files devel
%defattr(644,root,root,755)
%doc docs/{api*,ref,index.html,sleepycat,images} examples*
%attr(755,root,root) %{_libdir}/libdb*.la
%attr(755,root,root) %{_libdir}/libdb.so
%attr(755,root,root) %{_libdir}/libdb3.so
%attr(755,root,root) %{_libdir}/libdb-3.1.so
%attr(755,root,root) %{_libdir}/libndbm.so
%attr(755,root,root) %{_libdir}/libdb_tcl.so
%attr(755,root,root) %{_libdir}/libdb_cxx*.so
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: db3.spec,v $
Revision 1.28  2001/05/19 05:12:49  kloczek
- release 10: added tcl to Require list in tcl subpackage.

Revision 1.27  2001/05/10 16:55:21  misiek
- do the same thing for libdb_cxx.la

Revision 1.26  2001/05/10 16:33:37  qboosh
- added old_library name to libtool script (needed for static linking)
- release 9

Revision 1.25  2001/05/02 11:30:11  wiget
make libtool happy; release 8

Revision 1.24  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.23  2001/04/13 23:04:17  kloczek
- pl Summary.

Revision 1.22  2001/04/13 21:56:02  baggins
- release 7
- fixed docs

Revision 1.21  2001/01/25 20:03:22  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.20  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.19  2000/12/14 16:42:15  baggins
- release 6
- use RPM_OPT_FLAGS

Revision 1.18  2000/12/08 08:51:53  kloczek
- release 5: merge RH patches with POSIX mutex support.

Revision 1.17  2000/11/17 08:11:42  kloczek
- release 4: rebuild against tcl 8.3.2.

Revision 1.16  2000/10/22 22:21:31  baggins
- release 3
- added libdb.a to static package

Revision 1.15  2000/10/20 20:01:29  kloczek
- use new rpm automation and few cosmetics.

Revision 1.14  2000/10/10 16:32:21  wiget
buildrequires: glibc-static

Revision 1.13  2000/09/26 16:30:53  baggins
- updated to 3.1.17
- added libdb.so and libndbm links
- moved headers from %%{_includedir}/db3 to %{__includedir}
- patch cleanup

Revision 1.12  2000/09/04 18:14:51  kloczek
- release 3.

Revision 1.11  2000/09/02 12:34:53  misiek
- BuildRequires: tcl-devel

Revision 1.10  2000/08/02 15:24:20  wiget
release 2

Revision 1.9  2000/08/02 15:22:48  wiget
- added patch from sleepy cat
- separated TCL library

Revision 1.8  2000/08/01 21:58:46  kloczek
- spec adapterized.

Revision 1.7  2000/08/01 15:10:22  baggins
- a really big cleanup

Revision 1.6  2000/07/18 13:33:52  baggins
- adapterized version of rawhide spec

* Sun Jun 11 2000 Jeff Johnson <jbj@redhat.com>
- upgrade to 3.1.14.
- create db3-utils sub-package to hide tcl dependency, enable tcl Yet Again.
- FHS packaging.

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- disable tcl Yet Again, base packages cannot depend on libtcl.so.

* Sat Jun  3 2000 Jeff Johnson <jbj@redhat.com>
- enable tcl, rebuild against tcltk 8.3.1 (w/o pthreads).

* Tue May 30 2000 Matt Wilson <msw@redhat.com>
- include /lib/libdb.so in the devel package

* Wed May 10 2000 Jeff Johnson <jbj@redhat.com>
- put in "System Environment/Libraries" per msw instructions.

* Tue May  9 2000 Jeff Johnson <jbj@redhat.com>
- install shared library in /lib, not /usr/lib.
- move API docs to db3-devel.

* Mon May  8 2000 Jeff Johnson <jbj@redhat.com>
- don't rename db_* to db3_*.

* Tue May  2 2000 Jeff Johnson <jbj@redhat.com>
- disable --enable-test --enable-debug_rop --enable-debug_wop.
- disable --enable-posixmutexes --enable-tcl as well, to avoid glibc-2.1.3
  problems.

* Mon Apr 24 2000 Jeff Johnson <jbj@redhat.com>
- add 3.0.55.1 alignment patch.
- add --enable-posixmutexes (linux threads has not pthread_*attr_setpshared).
- add --enable-tcl (needed -lpthreads).

* Sat Apr  1 2000 Jeff Johnson <jbj@redhat.com>
- add --enable-debug_{r,w}op for now.
- add variable to set shm perms.

* Sat Mar 25 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.0.55

* Tue Dec 29 1998 Jeff Johnson <jbj@redhat.com>
- Add --enable-cxx to configure.

* Thu Jun 18 1998 Jeff Johnson <jbj@redhat.com>
- Create.
